#! /usr/bin/env perl

# $Id: Build.PL 31479 2010-07-02 14:41:38Z wsl $
# $URL: https://infix.uvt.nl/its-id/trunk/sources/loandesk/Build.PL $

use strict;
use warnings FATAL => 'all';

use Module::Build;

my $build = new Module::Build(
	module_name => 'UvT::Loandesk',
	dist_name => 'loandesk',
	dist_version => '1.0',
	dist_abstract => 'Order books from LBS',
	dist_author => 'Wessel Dankers <wsl@uvt.nl>',
	license => 'perl',
	create_makefile_pl => 'small',
	example_files => {
			map {
					my $orig = $_;
					s,^etc/,example/,;
					($orig, $_)
				} glob('etc/*/*')
		},
	install_path => {
			example => undef,
		}
);
$build->add_build_element('example');
$build->create_build_script;
